module.exports = {
  addons: [
    '@storybook/addon-essentials',
    '@storybook/addon-knobs',
    'storybook-addon-react-router-v6',
  ],
  babel: async (options) => ({
    // Update your babel configuration here
    ...options,
    plugins: ['@babel/plugin-proposal-export-default-from'],
  }),
  framework: '@storybook/react',
  // stories: ['../src/**/*.stories.@(js|mdx)'],
  stories: ['../stories/*.js'],
  webpackFinal: async (config, { configType }) => {
    // Make whatever fine-grained changes you need
    // Return the altered config
    return config
  },
}
