"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.animateHeight = exports.animateAlpha = exports.LoadingIcon = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _styledComponents2 = require("rebass/styled-components");
var _excluded = ["animationDelay"];
var _templateObject, _templateObject2, _templateObject3, _templateObject4;
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
var animateHeight = (0, _styledComponents.keyframes)(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  0% {\n    transform: translate3d(0, -10px, 0);\n  }\n  40% {\n    transform: translate3d(0, 5px, 0);\n  }\n  60%, 100% {\n    transform: translate3d(0, 0, 0);\n  }\n"])));
exports.animateHeight = animateHeight;
var animateAlpha = (0, _styledComponents.keyframes)(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  0% {\n    opacity: 1;\n    transform: translate3d(0, 0, 0);\n  }\n  40%, 100% {\n    opacity: 0.5;\n    transform: translate3d(0, 5px, 0);\n  }\n"])));
exports.animateAlpha = animateAlpha;
var Base = (0, _styledComponents["default"])(function (_ref) {
  var animationDelay = _ref.animationDelay,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/_react["default"].createElement(_styledComponents2.Box, rest);
})(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n  display: inline-block;\n  width: 10px;\n  height: 10px;\n  border-radius: 5px 5px;\n  margin: 10px 2px;\n  background-color: #555;\n"])));
var Finger = (0, _styledComponents["default"])(Base)(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n  animation: ", " 0.8s ease-out ", "s alternate infinite;\n"])), animateAlpha, function (props) {
  return props.animationDelay;
});
Finger.propTypes = {
  animationDelay: _propTypes["default"].number
};
Finger.defaultProps = {
  animationDelay: 0
};
var LoadingIcon = function LoadingIcon(props) {
  return /*#__PURE__*/_react["default"].createElement(_styledComponents2.Flex, _extends({
    mt: 4,
    mx: 3
  }, props), /*#__PURE__*/_react["default"].createElement(Finger, null), /*#__PURE__*/_react["default"].createElement(Finger, {
    animationDelay: 0.15
  }), /*#__PURE__*/_react["default"].createElement(Finger, {
    animationDelay: 0.3
  }), /*#__PURE__*/_react["default"].createElement(Finger, {
    animationDelay: 0.45
  }));
};
exports.LoadingIcon = LoadingIcon;