"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SecondaryButton = exports.PrimaryButton = exports.ButtonLink = void 0;
var _react = _interopRequireDefault(require("react"));
var _Button = require("./Button");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
var PrimaryButton = function PrimaryButton(props) {
  return /*#__PURE__*/_react["default"].createElement(_Button.Button, _extends({
    bg: "sidebarblue",
    color: "aqua",
    borderColor: "aqua"
  }, props));
};
exports.PrimaryButton = PrimaryButton;
var SecondaryButton = function SecondaryButton(props) {
  return /*#__PURE__*/_react["default"].createElement(_Button.Button, _extends({
    bg: "white",
    color: "graylabeltext",
    borderColor: "graybuttonborder"
  }, props));
};

// for linking to external sites (opens in new tab). e.g. href='https://google.com'
exports.SecondaryButton = SecondaryButton;
var ButtonLink = function ButtonLink(props) {
  return /*#__PURE__*/_react["default"].createElement(SecondaryButton, _extends({}, props, {
    as: "a",
    target: "_blank"
  }));
};
exports.ButtonLink = ButtonLink;