module.exports = (api) => {
  const presets = ['@babel/preset-env', '@babel/preset-react']
  let plugins = []

  if (api.env('reach')) {
    plugins.push([
      'transform-rename-import',
      { original: './ReactRouterLink', replacement: './ReachRouterLink' },
    ])
  }

  if (api.env('gatsby')) {
    plugins.push([
      'transform-rename-import',
      { original: './ReactRouterLink', replacement: './GatsbyLink' },
    ])
  }

  return { presets, plugins }
}
