"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Navbar = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _styledSystem = require("styled-system");
var _templateObject;
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
var Nav = _styledComponents["default"].nav(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  ", ";\n"])), _styledSystem.space);
var Navbar = function Navbar(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/_react["default"].createElement(Nav, {
    px: 4,
    pb: 3
  }, children);
};
exports.Navbar = Navbar;
Navbar.propTypes = {
  children: _propTypes["default"].node
};