"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NeedHelp = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _ = require("..");
var _Divider = require("./Divider");
var _excluded = ["maxWidth"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
var NeedHelp = function NeedHelp(_ref) {
  var maxWidth = _ref.maxWidth,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/_react["default"].createElement(_.Box, {
    mt: 3
  }, /*#__PURE__*/_react["default"].createElement(_.Box, _extends({}, props, {
    maxWidth: maxWidth
  }), /*#__PURE__*/_react["default"].createElement(_Divider.Divider, {
    borderBottom: "1px solid",
    borderColor: "lightgreyborder"
  }), /*#__PURE__*/_react["default"].createElement(_.Text, {
    as: "div",
    color: "grayapptitle",
    mt: 4,
    mb: 3,
    fontSize: [2, 3],
    fontWeight: "normal"
  }, "Need more help?"), /*#__PURE__*/_react["default"].createElement(_.ButtonLinkLocal, {
    type: "primary",
    href: "/contact",
    uppercase: true,
    px: 4
  }, "Send us a message")));
};
exports.NeedHelp = NeedHelp;
NeedHelp.propTypes = {
  maxWidth: _propTypes["default"].number
};
NeedHelp.defaultProps = {
  py: [2, 3],
  px: [4, 5],
  maxWidth: 900
};