"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PreferenceTitle = exports.PreferenceBox = void 0;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _styledComponents2 = require("rebass/styled-components");
var _polished = require("polished");
var _templateObject;
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
var PreferenceBox = (0, _styledComponents["default"])(_styledComponents2.Box)(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  border-top: 1px solid ", "\n  &:last-child {\n    border-bottom: 1px solid ", "\n  }\n"])), (0, _polished.lighten)(0.95, 'black'), (0, _polished.lighten)(0.95, 'black'));
exports.PreferenceBox = PreferenceBox;
var PreferenceTitle = function PreferenceTitle(props) {
  return /*#__PURE__*/_react["default"].createElement(_styledComponents2.Subhead, _extends({
    mb: 3,
    fontSize: 3,
    fontWeight: "normal",
    color: "graytext"
  }, props));
};
exports.PreferenceTitle = PreferenceTitle;